Summary: Utilities for performing block layer IO tracing in the linux kernel
Name: blktrace
Version: 1.0.1
Release: 6%{?dist}
License: GPLv2+
Group: Development/System
Source:  http://brick.kernel.dk/snaps/blktrace-%{version}.tar.bz2
Url: http://brick.kernel.dk/snaps

Requires: python
BuildRequires: libaio-devel python texlive-latex dvipdfm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:  blktrace-1.0.1-avoid-device-duplication.patch
Patch1:  blktrace-1.0.1-blktrace-print-correct-usage.patch
Patch2:  blktrace-1.0.1-blktrace-add-back-devname-conversion.patch
Patch3:  blktrace-1.0.1-option-k-doesnt-kill.patch
Patch4:  blktrace-1.0.1-blkiomon-update-documentation.patch
Patch5:  blktrace-1.0.1-exit-with-zero-status.patch
Patch6:  blktrace-1.0.1-blktrace-unblock-tracers-if-unsuccess.patch
Patch7:  blktrace-1.0.1-btrecord-man-page-inconsistencies.patch
Patch8:  blktrace-1.0.1-blkiomon-undocumented-options.patch
Patch9:  blktrace-1.0.1-blkparce-undocumented-options.patch
Patch10: blktrace-1.0.1-blktrace-undocumented-options.patch
Patch11: blktrace-1.0.1-btreplay-undocumented-options.patch
Patch12: blktrace-1.0.1-btt-undocumented-options.patch
Patch13: blktrace-1.0.1-pc-write-completion.patch
Patch14: blktrace-1.0.1-flush-fua.patch

%description
blktrace is a block layer IO tracing mechanism which provides detailed
information about request queue operations to user space.  This package
includes both blktrace, a utility which gathers event traces from the kernel;
and blkparse, a utility which formats trace data collected by blktrace.

You should install the blktrace package if you need to gather detailed
information about IO patterns.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%build
make CFLAGS="%{optflags}" all
make CFLAGS="%{optflags}" docs

%install
rm -rf %{buildroot}
make dest=%{buildroot} prefix=%{buildroot}/%{_prefix} mandir=%{buildroot}/usr/share/man install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%doc btt/doc/btt.pdf btreplay/doc/btreplay.pdf doc/blktrace.pdf
%{_bindir}/*
%attr(0644,root,root) /usr/share/man/man1/*
%attr(0644,root,root) /usr/share/man/man8/*


%changelog

